class Sensors {
  int waterstand;
  int temperature;
  int motorstate;
  int air;

  Sensors() {
    
  }

  void display(int waterInput, int tempInput, int motorInput, int airInput) {
    rectMode(CORNER);
    waterstand = waterInput;
    temperature = tempInput;
    motorstate = motorInput;
    air = airInput;
    noStroke();
    fill(#03F9FF);
    rect(50, 50, 50, 150, 10);
    textSize(20);
    text("water", 50, 230);
    text("stand", 50, 245);
    text("=" + (100 - waterstand) + "%", 50, 265);

    //now the actual vallue
    fill(#9FA2A2);
    rect(50, 50, 50, waterstand*1.5, 9);

    //check if it's good
    if (100-waterstand <=20) {
      fill(#EA282F);
      text("Waterstand is laag!", 50, 300);
      text("Bijvullen", 50, 320);
    } else {
      fill(#05FF03);
      text("Waterstand is goed!", 50, 300);
    }


    // temperature
    fill(#FFB167);
    rect(150, 50, 80, 40, 20);
    fill(255);
    text(temperature + "°C", 175, 80);
    text("Temperature", 150, 120);

    //motor on/on
    fill(255);
    text("Is the motor on?", 300, 70);
    fill(#14FC00);
    rect(300, 100, 100, 100, 5);
    fill(#FF0004);
    rect(300, 220, 100, 100, 5);

    fill(0);
    textSize(32);
    text("Yes", 330, 160);
    text("No", 330, 280);

    if (motorstate == 1)
    {
      rect(305, 225, 90, 90, 5);
    } else {
      fill(0);
      rect(305, 105, 90, 90, 5);
    }

    // air humidity
    fill(#4B85FF);
    rect(480, 50, 60, 40, 20);
    fill(255);
    textSize(20);
    text("Air Humidity", 470, 120);
    text(air + "%", 495, 80);
  }
}
