import processing.net.*;
import processing.serial.*;
Serial port;

Server s;
Client client;

String buff = "";
char header[] = {'A', 'B', 'C', 'D', 'X'};
int value[] = new int[5];
int NEWLINE = 10;
int a;
int b;
int c;
int d;
int e;

void setup() 
{
  port = new Serial(this, Serial.list()[9], 9600);
  background(0);
  a = 0;
  b = 0;
  c = 0;
  d = 0;
  e = 0;

  size(450, 255);
  background(204);
  stroke(0);
  s = new Server(this, 8080); // Start a simple server on a port
  for (int i = 0; i<Serial.list ().length; i++) { 
    print("[" + i + "] ");
    println(Serial.list()[i]);
  }
  port = new Serial(this, Serial.list()[4], 9600);
}

void draw() 
{
  while (port.available() > 0) {
    serialEvent(port.read()); // read data
  }
  a = value[0]; // motor 1 en 0 , al laten staan.
  b = int(map((value[1]), 0, 1035, 0, 100)); // tussen 0 1n 1023?? nee want was al 1035);
  c= value[2]; // air humidity, gewoon zo laen
  d = value[3]; // temp, gewoon zo laten
  e = value[4];
  println(e);

  s.write("A"+ a);
  delay(200);
  s.write("B"+b);
  delay(200);
  s.write("C"+c);
  delay(200);
  s.write("D"+d);
  delay(200);
  s.write("X"+e);
  delay(200);

  client = s.available();
  if (client != null) {
    int send = client.read();
    println("server received:" + send);
    port.write(send);
  }
}

void serialEvent(int serial) 
{ 
  try {    // try-catch because of transmission errors
    if (serial != NEWLINE) {  //checks if all values are checked: 3 values + new line and cahracter return
      buff += char(serial);  // if not, then go on, if yes: then do this:
    } else {
      // The first character tells us which axis this value is for
      char c = buff.charAt(0);
      // Remove it from the string
      buff = buff.substring(1);
      // Discard the carriage return at the end of the buffer
      buff = buff.substring(0, buff.length()-1);
      // Parse the String into an integer
      for (int z=0; z<5; z++) {
        if (c == header[z]) {
          value[z] = Integer.parseInt(buff); //it will now return a value between 0 and 1023, so /4 and it will fit in an int (0-255)
        }
      }
      buff = "";         // Clear the value of "buff" (after 1 times all values)
    }
  }
  catch(Exception e) {  // this checks if there is data coming from the arduino
    println("no valid data");
  }
}
